Module java.desktop
Package javax.swing.plaf.basic

# Class BasicToolBarUI.FrameListener

java.lang.Object
java.awt.event.WindowAdapter
javax.swing.plaf.basic.BasicToolBarUI.FrameListener

All Implemented Interfaces:
  `WindowFocusListener`, `WindowListener`, `WindowStateListener`, `EventListener`

Enclosing class:
  BasicToolBarUI

    protected class BasicToolBarUI.FrameListener
    extends WindowAdapter

The class listens for window events.

## Constructor Summary

Constructors
Modifier | Constructor | Description
--- | --- | ---
`protected` | `FrameListener()` |

## Method Summary

### Methods declared in class java.awt.event.WindowAdapter

`windowActivated, windowClosed, windowClosing, windowDeactivated, windowDeiconified, windowGainedFocus, windowIconified, windowLostFocus, windowOpened, windowStateChanged`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FrameListener

protected FrameListener()